/***************************************************************
  
        bwd_cmd.c       Unique short names for CMS/MVS
                        for Bywater BASIC Interpreter
  
                        Copyright (c) 1993, Ted A. Campbell
                        Bywater Software
  
                        email: tcamp@delphi.com
  
        Copyright and Permissions Information:
  
        All U.S. and international rights are claimed by the author,
        Ted A. Campbell.
  
   This software is released under the terms of the GNU General
   Public License (GPL), which is distributed with this software
   in the file "COPYING".  The GPL specifies the terms under
   which users may copy and use the software in this distribution.
  
   A separate license is available for commercial distribution,
   for information on which you should contact the author.
  
***************************************************************/

/*---------------------------------------------------------------*/
/* NOTE: Modifications marked "JBV" were made by Jon B. Volkoff, */
/* 11/1995 (eidetics@cerf.net).                                  */
/*                                                               */
/* Those additionally marked with "DD" were at the suggestion of */
/* Dale DePriest (daled@cadence.com).                            */
/*                                                               */
/* Version 3.00 by Howard Wulf, AF5NE                            */
/*                                                               */
/* Version 3.10 by Howard Wulf, AF5NE                            */
/*                                                               */
/*---------------------------------------------------------------*/



/* Unique Short Name Definitions */


#define BasicNumerc                      X00000
#define CALLOC                           X00001
#define CleanLine                        X00002
#define Determinant                      X00003
#define DumpAllCommandHtmlTable          X00004
#define DumpAllCommandSwitchStatement    X00005
#define DumpAllCommandSyntax             X00006
#define DumpAllCommandTableDefinitions   X00007
#define DumpAllCommandUniqueID           X00008
#define DumpAllFuctionSyntax             X00009
#define DumpAllFuctionTableDefinitions   X0000A
#define DumpAllFuctionUniqueID           X0000B
#define DumpAllFunctionHtmlTable         X0000C
#define DumpAllFunctionSwitch            X0000D
#define DumpAllOperatorSyntax            X0000E
#define DumpOneCommandSyntax             X0000F
#define DumpOneFunctionSyntax            X00010
#define DumpOneOperatorSyntax            X00011
#define FREE                             X00012
#define FixDescription                   X00013
#define FunctionDefinitionCheck          X00014
#define FunctionSyntax                   X00015
#define FunctionUniqueID                 X00016
#define GetKeyword                       X00017
#define GetOnError                       X00018
#define GetRestOfLine                    X00019
#define InvertMatrix                     X0001A
#define IsLastKeyword                    X0001B
#define IsLike                           X0001C
#define My                               X0001D
#define NumberValueCheck                 X0001E
#define OptionVersionSet                 X0001F
#define ResetConsoleColumn               X00020
#define SetCurrentFile                   X00021
#define SetOnError                       X00022
#define SortAllCommands                  X00023
#define SortAllFunctions                 X00024
#define SortAllOperators                 X00025
#define StringLengthCheck                X00026
#define VarTypeIndex                     X00027
#define VerifyNumeric                    X00028
#define break_handler                    X00029
#define break_mes                        X0002A
#define buff_is_eol                      X0002B
#define buff_peek_array_dimensions       X0002C
#define buff_peek_char                   X0002D
#define buff_peek_word                   X0002E
#define buff_read_array_dimensions       X0002F
#define buff_read_element                X00030
#define buff_read_expression             X00031
#define buff_read_index_item             X00032
#define buff_read_integer_expression     X00033
#define buff_read_label                  X00034
#define buff_read_letter_sequence        X00035
#define buff_read_line_number            X00036
#define buff_read_line_sequence          X00037
#define buff_read_matrix                 X00038
#define buff_read_numeric_expression     X00039
#define buff_read_scalar                 X0003A
#define buff_read_string_expression      X0003B
#define buff_read_type_declaration       X0003C
#define buff_read_varname                X0003D
#define buff_skip_char                   X0003E
#define buff_skip_comma                  X0003F
#define buff_skip_eol                    X00040
#define buff_skip_spaces                 X00041
#define buff_skip_word                   X00042
#define bwb_APPEND                       X00043
#define bwb_AS                           X00044
#define bwb_AUTO                         X00045
#define bwb_BACKSPACE                    X00046
#define bwb_BREAK                        X00047
#define bwb_BYE                          X00048
#define bwb_CALL                         X00049
#define bwb_CASE                         X0004A
#define bwb_CASE_ELSE                    X0004B
#define bwb_CHAIN                        X0004C
#define bwb_CHANGE                       X0004D
#define bwb_CLEAR                        X0004E
#define bwb_CLOAD                        X0004F
#define bwb_CLOAD8                       X00050
#define bwb_CLOSE                        X00051
#define bwb_CLR                          X00052
#define bwb_CMDS                         X00053
#define bwb_COMMON                       X00054
#define bwb_CONSOLE                      X00055
#define bwb_CONT                         X00056
#define bwb_CREATE                       X00057
#define bwb_CSAVE                        X00058
#define bwb_CSAVE8                       X00059
#define bwb_DATA                         X0005A
#define bwb_DEF                          X0005B
#define bwb_DEFBYT                       X0005C
#define bwb_DEFCUR                       X0005D
#define bwb_DEFDBL                       X0005E
#define bwb_DEFINT                       X0005F
#define bwb_DEFLNG                       X00060
#define bwb_DEFSNG                       X00061
#define bwb_DEFSTR                       X00062
#define bwb_DEF_SUB                      X00063
#define bwb_DELETE                       X00064
#define bwb_DELIMIT                      X00065
#define bwb_DIM                          X00066
#define bwb_DO                           X00067
#define bwb_DSP                          X00068
#define bwb_EDIT                         X00069
#define bwb_ELSE                         X0006A
#define bwb_ELSEIF                       X0006B
#define bwb_END                          X0006C
#define bwb_END_FUNCTION                 X0006D
#define bwb_END_IF                       X0006E
#define bwb_END_SELECT                   X0006F
#define bwb_END_SUB                      X00070
#define bwb_ERASE                        X00071
#define bwb_EXCHANGE                     X00072
#define bwb_EXIT                         X00073
#define bwb_EXIT_DO                      X00074
#define bwb_EXIT_FOR                     X00075
#define bwb_EXIT_FUNCTION                X00076
#define bwb_EXIT_SUB                     X00077
#define bwb_EXIT_UNTIL                   X00078
#define bwb_EXIT_WHILE                   X00079
#define bwb_FEND                         X0007A
#define bwb_FIELD                        X0007B
#define bwb_FILE                         X0007C
#define bwb_FILES                        X0007D
#define bwb_FNCS                         X0007E
#define bwb_FNEND                        X0007F
#define bwb_FOR                          X00080
#define bwb_FUNCTION                     X00081
#define bwb_GET                          X00082
#define bwb_GO                           X00083
#define bwb_GOODBYE                      X00084
#define bwb_GOSUB                        X00085
#define bwb_GOTO                         X00086
#define bwb_GO_SUB                       X00087
#define bwb_GO_TO                        X00088
#define bwb_HELP                         X00089
#define bwb_IF                           X0008A
#define bwb_IF_END                       X0008B
#define bwb_IF_MORE                      X0008C
#define bwb_IF_THEN                      X0008D
#define bwb_IMAGE                        X0008E
#define bwb_INPUT                        X0008F
#define bwb_LET                          X00090
#define bwb_LINE                         X00091
#define bwb_LIST                         X00092
#define bwb_LLIST                        X00093
#define bwb_LOAD                         X00094
#define bwb_LOOP                         X00095
#define bwb_LPRINT                       X00096
#define bwb_LPRINTER                     X00097
#define bwb_LSET                         X00098
#define bwb_MAINTAINER                   X00099
#define bwb_MARGIN                       X0009A
#define bwb_MAT                          X0009B
#define bwb_MAT_GET                      X0009C
#define bwb_MAT_INPUT                    X0009D
#define bwb_MAT_PRINT                    X0009E
#define bwb_MAT_PUT                      X0009F
#define bwb_MAT_READ                     X000A0
#define bwb_MAT_WRITE                    X000A1
#define bwb_MERGE                        X000A2
#define bwb_MID4                         X000A3
#define bwb_NAME                         X000A4
#define bwb_NEW                          X000A5
#define bwb_NEXT                         X000A6
#define bwb_OF                           X000A7
#define bwb_OLD                          X000A8
#define bwb_ON                           X000A9
#define bwb_ON_ERROR                     X000AA
#define bwb_ON_ERROR_GOSUB               X000AB
#define bwb_ON_ERROR_GOTO                X000AC
#define bwb_ON_ERROR_RESUME              X000AD
#define bwb_ON_ERROR_RESUME_NEXT         X000AE
#define bwb_ON_ERROR_RETURN              X000AF
#define bwb_ON_ERROR_RETURN_NEXT         X000B0
#define bwb_ON_TIMER                     X000B1
#define bwb_OPEN                         X000B2
#define bwb_OPTION                       X000B3
#define bwb_OPTION_ANGLE                 X000B4
#define bwb_OPTION_ANGLE_DEGREES         X000B5
#define bwb_OPTION_ANGLE_GRADIANS        X000B6
#define bwb_OPTION_ANGLE_RADIANS         X000B7
#define bwb_OPTION_ARITHMETIC            X000B8
#define bwb_OPTION_ARITHMETIC_DECIMAL    X000B9
#define bwb_OPTION_ARITHMETIC_FIXED      X000BA
#define bwb_OPTION_ARITHMETIC_NATIVE     X000BB
#define bwb_OPTION_BASE                  X000BC
#define bwb_OPTION_BUGS                  X000BD
#define bwb_OPTION_BUGS_OFF              X000BE
#define bwb_OPTION_BUGS_ON               X000BF
#define bwb_OPTION_COMMENT               X000C0
#define bwb_OPTION_COMPARE               X000C1
#define bwb_OPTION_COMPARE_BINARY        X000C2
#define bwb_OPTION_COMPARE_DATABASE      X000C3
#define bwb_OPTION_COMPARE_TEXT          X000C4
#define bwb_OPTION_COVERAGE              X000C5
#define bwb_OPTION_COVERAGE_OFF          X000C6
#define bwb_OPTION_COVERAGE_ON           X000C7
#define bwb_OPTION_DATE                  X000C8
#define bwb_OPTION_DISABLE               X000C9
#define bwb_OPTION_DISABLE_COMMAND       X000CA
#define bwb_OPTION_DISABLE_FUNCTION      X000CB
#define bwb_OPTION_DISABLE_OPERATOR      X000CC
#define bwb_OPTION_ENABLE                X000CD
#define bwb_OPTION_ENABLE_COMMAND        X000CE
#define bwb_OPTION_ENABLE_FUNCTION       X000CF
#define bwb_OPTION_ENABLE_OPERATOR       X000D0
#define bwb_OPTION_ERROR                 X000D1
#define bwb_OPTION_ERROR_GOSUB           X000D2
#define bwb_OPTION_ERROR_GOTO            X000D3
#define bwb_OPTION_EXPLICIT              X000D4
#define bwb_OPTION_IMAGE                 X000D5
#define bwb_OPTION_IMPLICIT              X000D6
#define bwb_OPTION_INDENT                X000D7
#define bwb_OPTION_LABELS                X000D8
#define bwb_OPTION_LABELS_OFF            X000D9
#define bwb_OPTION_LABELS_ON             X000DA
#define bwb_OPTION_PRINT                 X000DB
#define bwb_OPTION_ROUND                 X000DC
#define bwb_OPTION_ROUND_BANK            X000DD
#define bwb_OPTION_ROUND_MATH            X000DE
#define bwb_OPTION_ROUND_TRUNCATE        X000DF
#define bwb_OPTION_SLEEP                 X000E0
#define bwb_OPTION_STATEMENT             X000E1
#define bwb_OPTION_STDERR                X000E2
#define bwb_OPTION_STDIN                 X000E3
#define bwb_OPTION_STDOUT                X000E4
#define bwb_OPTION_STRICT                X000E5
#define bwb_OPTION_STRICT_OFF            X000E6
#define bwb_OPTION_STRICT_ON             X000E7
#define bwb_OPTION_TERMINAL              X000E8
#define bwb_OPTION_TERMINAL_ADM          X000E9
#define bwb_OPTION_TERMINAL_ANSI         X000EA
#define bwb_OPTION_TERMINAL_NONE         X000EB
#define bwb_OPTION_TIME                  X000EC
#define bwb_OPTION_TRACE                 X000ED
#define bwb_OPTION_TRACE_OFF             X000EE
#define bwb_OPTION_TRACE_ON              X000EF
#define bwb_OPTION_USING                 X000F0
#define bwb_OPTION_VERSION               X000F1
#define bwb_PAUSE                        X000F2
#define bwb_POP                          X000F3
#define bwb_PRINT                        X000F4
#define bwb_PUT                          X000F5
#define bwb_QUEST                        X000F6
#define bwb_QUIT                         X000F7
#define bwb_READ                         X000F8
#define bwb_RECALL                       X000F9
#define bwb_REM                          X000FA
#define bwb_RENAME                       X000FB
#define bwb_RENUM                        X000FC
#define bwb_RENUMBER                     X000FD
#define bwb_RESET                        X000FE
#define bwb_RESTORE                      X000FF
#define bwb_RESUME                       X00100
#define bwb_RETURN                       X00101
#define bwb_RSET                         X00102
#define bwb_RUN                          X00103
#define bwb_SAVE                         X00104
#define bwb_SCRATCH                      X00105
#define bwb_SELECT                       X00106
#define bwb_SELECT_CASE                  X00107
#define bwb_STEP                         X00108
#define bwb_STOP                         X00109
#define bwb_STORE                        X0010A
#define bwb_SUB                          X0010B
#define bwb_SUBEND                       X0010C
#define bwb_SWAP                         X0010D
#define bwb_SYSTEM                       X0010E
#define bwb_TEXT                         X0010F
#define bwb_THEN                         X00110
#define bwb_TIMER                        X00111
#define bwb_TIMER_OFF                    X00112
#define bwb_TIMER_ON                     X00113
#define bwb_TIMER_STOP                   X00114
#define bwb_TLOAD                        X00115
#define bwb_TO                           X00116
#define bwb_TRACE                        X00117
#define bwb_TRACE_OFF                    X00118
#define bwb_TRACE_ON                     X00119
#define bwb_TSAVE                        X0011A
#define bwb_Timer_Off                    X0011B
#define bwb_Timer_On                     X0011C
#define bwb_UEND                         X0011D
#define bwb_UNTIL                        X0011E
#define bwb_USE                          X0011F
#define bwb_USER_LBL                     X00120
#define bwb_VARS                         X00121
#define bwb_WEND                         X00122
#define bwb_WHILE                        X00123
#define bwb_WRITE                        X00124
#define bwb_Warning                      X00125
#define bwb_Warning_Clear                X00126
#define bwb_Warning_Overflow             X00127
#define bwb_Warning_Pending              X00128
#define bwb_clrexec                      X00129
#define bwb_cmdtable                     X0012A
#define bwb_decexec                      X0012B
#define bwb_execline                     X0012C
#define bwb_file_open                    X0012D
#define bwb_fload                        X0012E
#define bwb_freeline                     X0012F
#define bwb_incexec                      X00130
#define bwb_init                         X00131
#define bwb_interact                     X00132
#define bwb_is_eof                       X00133
#define bwb_isalnum                      X00134
#define bwb_isalpha                      X00135
#define bwb_iscntrl                      X00136
#define bwb_isdigit                      X00137
#define bwb_isgraph                      X00138
#define bwb_islower                      X00139
#define bwb_isprint                      X0013A
#define bwb_ispunct                      X0013B
#define bwb_isspace                      X0013C
#define bwb_isupper                      X0013D
#define bwb_isxdigit                     X0013E
#define bwb_ladd                         X0013F
#define bwb_mainloop                     X00140
#define bwb_memchr                       X00141
#define bwb_memcmp                       X00142
#define bwb_memcpy                       X00143
#define bwb_memmove                      X00144
#define bwb_memset                       X00145
#define bwb_prefuncs                     X00146
#define bwb_rint                         X00147
#define bwb_scan                         X00148
#define bwb_single_step                  X00149
#define bwb_strcat                       X0014A
#define bwb_strchr                       X0014B
#define bwb_strcmp                       X0014C
#define bwb_strcpy                       X0014D
#define bwb_stricmp                      X0014E
#define bwb_stripcr                      X0014F
#define bwb_strlen                       X00150
#define bwb_strncat                      X00151
#define bwb_strncmp                      X00152
#define bwb_strncpy                      X00153
#define bwb_strnicmp                     X00154
#define bwb_strrchr                      X00155
#define bwb_tolower                      X00156
#define bwb_toupper                      X00157
#define bwb_vector                       X00158
#define bwb_vertable                     X00159
#define bwb_xlist                        X0015A
#define bwb_xload                        X0015B
#define bwb_xnew                         X0015C
#define bwb_xtxtline                     X0015D
#define bwb_zline                        X0015E
#define bwx_DEBUG                        X0015F
#define bwx_LPRINT                       X00160
#define bwx_PRINT                        X00161
#define bwx_STOP                         X00162
#define bwx_TIMER                        X00163
#define bwx_input                        X00164
#define bwx_signon                       X00165
#define bwx_terminate                    X00166
#define char_is_vartail                  X00167
#define char_is_vartype                  X00168
#define clear_virtual_by_file            X00169
#define field_close_file                 X0016A
#define field_free_variable              X0016B
#define field_get                        X0016C
#define field_put                        X0016D
#define file_clear                       X0016E
#define file_new                         X0016F
#define file_next_number                 X00170
#define find_file_by_name                X00171
#define find_file_by_number              X00172
#define find_line_number                 X00173
#define fnc_add_deffn                    X00174
#define fnc_deffn                        X00175
#define fnc_find                         X00176
#define fnc_find_by_id                   X00177
#define fnc_find_exact                   X00178
#define fnc_init                         X00179
#define fnc_intrinsic                    X0017A
#define fslt_add                         X0017B
#define fslt_addlocalvar                 X0017C
#define fslt_init                        X0017D
#define inp_adv                          X0017E
#define inp_numconst                     X0017F
#define is_cmd                           X00180
#define is_empty_filename                X00181
#define is_eol                           X00182
#define is_let                           X00183
#define is_ln                            X00184
#define is_numconst                      X00185
#define line_is_eol                      X00186
#define line_peek_array_dimensions       X00187
#define line_peek_char                   X00188
#define line_peek_word                   X00189
#define line_read_array_dimensions       X0018A
#define line_read_element                X0018B
#define line_read_expression             X0018C
#define line_read_index_item             X0018D
#define line_read_integer_expression     X0018E
#define line_read_label                  X0018F
#define line_read_letter_sequence        X00190
#define line_read_line_number            X00191
#define line_read_line_sequence          X00192
#define line_read_matrix                 X00193
#define line_read_numeric_expression     X00194
#define line_read_scalar                 X00195
#define line_read_string_expression      X00196
#define line_read_type_declaration       X00197
#define line_read_varname                X00198
#define line_skip_char                   X00199
#define line_skip_comma                  X0019A
#define line_skip_eol                    X0019B
#define line_skip_spaces                 X0019C
#define line_skip_word                   X0019D
#define line_start                       X0019E
#define ln_asbuf                         X0019F
#define mat_find                         X001A0
#define prn_iprintf                      X001A1
#define prn_lprintf                      X001A2
#define prn_xprintf                      X001A3
/*
#define putenv                           X001A4
#define sleep                            X001A5
*/
#define str_btob                         X001A6
#define str_btoc                         X001A7
#define str_cat                          X001A8
#define str_cmp                          X001A9
#define str_ctob                         X001AA
#define str_like                         X001AB
#define str_match                        X001AC
#define strlower                         X001AD
#define strupper                         X001AE
#define var_CLEAR                        X001AF
#define var_chain                        X001B0
#define var_delcvars                     X001B1
#define var_find                         X001B2
#define var_free                         X001B3
#define var_init                         X001B4
#define var_make                         X001B5
#define var_nametype                     X001B6
#define var_new                          X001B7



/* EOF */
